Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1056047 - virt-df generates no output for Solaris 11 x86_64 guest.
Summary: virt-df generates no output for Solaris 11 x86_64 guest.
Keywords:
Status: NEW
Alias: None
Product: Virtualization Tools
Classification: Community
Component: libguestfs
Version: unspecified
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Richard W.M. Jones
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-21 13:20 UTC by ceving
Modified: 2018-07-18 14:23 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)

Description ceving 2014-01-21 13:20:00 UTC
Description of problem:

When I execute virt-df for a Solaris 11 x86 64 bit domain, the command generates no output.

Version-Release number of selected component (if applicable):

virt-df 1.18.1

How reproducible:

It is necessary to install a Solaris 11 guest. It is available here:
http://www.oracle.com/technetwork/server-storage/solaris11/downloads/index.html
I used the text install version.

Steps to Reproduce:

1. Install Solaris 11 as domain solaris11
2. Run virt-df solaris11

Actual results:

# virt-df solaris11
Filesystem                           1K-blocks       Used  Available  Use%


Expected results:

This is the output for Solaris 10:
# virt-df solaris10
Filesystem                           1K-blocks       Used  Available  Use%
solaris10:/dev/sda5                    8247029    3867044    4297515   47%


Additional info:

Comment 1 Richard W.M. Jones 2014-01-21 13:31:56 UTC
I'm afraid I am unable to log in to the Oracle website.  It
simply won't accept the username/password I've just created.

So someone's going to have to send me the install ISO.

Comment 2 Richard W.M. Jones 2014-01-21 14:48:11 UTC
OK I have this ISO now, will attempt to install it later.

Comment 3 Richard W.M. Jones 2014-01-21 21:29:39 UTC
Solaris 11 doesn't install for me (bug 1056284).

Comment 4 Richard W.M. Jones 2014-01-22 11:00:52 UTC
Now I have a Solaris 11 guest.  The kernel and parted have a lot
of trouble understanding the partition table:

[    0.535329] GPT:Primary header thinks Alt. header is not at the end of the disk.
[    0.536074] GPT:41942879 != 41943039
[    0.536426] GPT:Alternate GPT header not at the end of the disk.
[    0.536995] GPT:41942879 != 41943039
[    0.537363] GPT: Use GNU Parted to correct GPT errors.
[    0.537866]  sda: sda1 sda2 sda9

><rescue> parted /dev/sda print
Error: The backup GPT table is not at the end of the disk, as it should be.
This might mean that another operating system believes the disk is smaller.
Fix, by moving the backup to the end (and removing the old backup)?
Fix/Ignore/Cancel? i                                                      
Warning: Not all of the space available to /dev/sda appears to be used, you can
fix the GPT to use all of the space (an extra 160 blocks) or continue with the
current setting? 
Fix/Ignore? i                                                             
Model: QEMU QEMU HARDDISK (scsi)
Disk /dev/sda: 21.5GB
Sector size (logical/physical): 512B/512B
Partition Table: gpt
Disk Flags: 

Number  Start   End     Size    File system  Name  Flags
 1      131kB   269MB   268MB                      bios_grub
 2      269MB   21.5GB  21.2GB               zfs
 9      21.5GB  21.5GB  8389kB

The second partition is zfs, but I cannot start the zfs-fuse
daemon.  It just exits immediately with no error message.

><rescue> zfs-fuse -n 
><rescue> echo $?
1

libguestfs relies on the Linux kernel, partitioning tools like parted,
and external programs like zfs to do the work, and it looks like they
simply don't understand the new Solaris 11 disk format.

This isn't something we can solve in libguestfs.  It needs to be fixed
in Linux etc and then we can retest.


Note You need to log in before you can comment on or make changes to this bug.